<p align="center">
  <a href="http://github.com/BinChengZhao/delicate">
    <img alt="delicate-rs" height="64" src="./_media/logo.png">
  </a>
</p>

<h1 align="center">Delicate</h1>

<div align="center">

`delicate` A lightweight and distributed task scheduling platform written in rust.

[![GitHub issues](https://img.shields.io/github/issues/BinChengZhao/delicate.svg?style=flat-square)](https://github.com/BinChengZhao/delicate/issues)
[![Build](https://github.com/BinChengZhao/delicate/workflows/CI/badge.svg)](
https://github.com/BinChengZhao/delicate/actions)
[![License](https://img.shields.io/badge/license-MIT%2FApache--2.0-blue.svg)](
https://github.com/BinChengZhao/delicate)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](https://github.com/BinChengZhao/delicate/pulls)

</div>

## Features

- Internationalization, extracting translation fields from source code, loading language packs on demand
- Dynamic permissions, different permissions for different menus
- Elegant and beautiful, Ant Design system
- Mock data, local data debugging


## Usage

1. Clone project code.

```bash
git clone https://github.com/BinChengZhao/delicate.git my-project
cd my-project
```

2. Installation dependence.

```bash
sudo npm install --global yarn
sudo yarn global add umi
sudo yarn install
sudo yarn build
```

3. Start local server.

```bash
sudo yarn start
```

4. After the startup is complete, open a browser and visit [http://localhost:7000](http://localhost:7000), If you need to change the startup port, you can configure it in the `.env` file.


> More instructions at 。


## Browsers support

Modern browsers.

| [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt="IE / Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>IE / Edge | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Firefox | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Chrome | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png" alt="Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Safari | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/opera/opera_48x48.png" alt="Opera" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Opera |
| --------- | --------- | --------- | --------- | --------- | 
|IE11, Edge| last 2 versions| last 2 versions| last 2 versions| last 2 versions

## Contributing

We very much welcome your contribution, you can build together with us in the following ways :smiley: 

- Use Ant Design Pro in your daily work.
- Submit [GitHub issues](http://github.com/BinChengZhao/delicate/issues)s to report bugs or ask questions.
- Propose [Pull Request](http://github.com/BinChengZhao/delicate/pulls) to improve our code.
